[Plugin] ltConfig v0.3.1

Suggest, post, or discuss plugins for Deluge
Wallabee19
New User
New User
Posts: 2
Joined: Mon Apr 18, 2016 12:53 pm
OS or Distro: Debian

Re: [Plugin] ltConfig v0.2.5.0

Postby Wallabee19 » Tue Apr 19, 2016 2:58 am

1.0.9 doesn't seem to work either. Just shows "Loading settings"

Ratanak
Leecher
Leecher
Posts: 98
Joined: Sat Dec 22, 2012 4:47 am
OS or Distro: Windows 7

Re: [Plugin] ltConfig v0.2.5.0

Postby Ratanak » Mon Apr 25, 2016 10:47 pm

You'll have to give me more info. I've tested libtorrent 1.1.0 with Deluge 1.3.12 on Debian and it seems to work fine (i.e. it loads and settings can be applied).

dare_v
New User
New User
Posts: 9
Joined: Wed May 11, 2016 3:31 pm
OS or Distro: Jessie 8.3

Re: [Plugin] ltConfig v0.2.5.0

Postby dare_v » Wed May 11, 2016 3:34 pm

Also not working for me, LT 1.1.0, but it worked on 1.0.9

Same issue with Loading settings...

I also experience some errors when starting the deamon, but dunnot if its related or not. I dissabled ltconfig and restarted the deamon and errors are still there, like:

[ERROR ] 15:59:38 component:118 [Failure instance: Traceback: <type 'exceptions.AttributeError'>: 'dict' object has no attribute 'peer_tos'
/usr/local/lib/python2.7/dist-packages/deluge-1.3.12-py2.7.egg/deluge/main.py:230:start_daemon
/usr/local/lib/python2.7/dist-packages/deluge-1.3.12-py2.7.egg/deluge/core/daemon.py:161:__init__
/usr/local/lib/python2.7/dist-packages/deluge-1.3.12-py2.7.egg/deluge/component.py:296:start
/usr/local/lib/python2.7/dist-packages/deluge-1.3.12-py2.7.egg/deluge/component.py:124:_component_start
--- <exception caught here> ---


How can I check for any errors from ltconfig or how to debug it, what more info can I give? I am using Debian Jessie 8.3 on ODROID C1, ARM platform. Latest kernel and everything else updated.

Ratanak
Leecher
Leecher
Posts: 98
Joined: Sat Dec 22, 2012 4:47 am
OS or Distro: Windows 7

Re: [Plugin] ltConfig v0.2.5.0

Postby Ratanak » Wed May 11, 2016 10:49 pm

Try building branch RC_1_1 from the libtorrent GitHub repo. This branch contains updates to the 1.1.0 release that may solve the problem. See: https://github.com/ratanakvlun/deluge-ltconfig/issues/5

dare_v
New User
New User
Posts: 9
Joined: Wed May 11, 2016 3:31 pm
OS or Distro: Jessie 8.3

Re: [Plugin] ltConfig v0.2.5.0

Postby dare_v » Thu May 12, 2016 5:08 am

What are the correct steps of doing it?

git clone https://github.com/arvidn/libtorrent.git
cd libtorrent
./autotool.sh
./configure --enable-python-binding --with-libiconv
make -j$(nproc)
sudo checkinstall
sudo ldconfig


I get some errors if doing so, is there a better way?

dare_v
New User
New User
Posts: 9
Joined: Wed May 11, 2016 3:31 pm
OS or Distro: Jessie 8.3

Re: [Plugin] ltConfig v0.2.5.0

Postby dare_v » Thu May 12, 2016 8:07 am

I tried branch "master" and "1.3-stable" from deluge github. master installed deluge version 1.3.9 and 1.3-stable installed verison 1.3.12-dev

I also installed LT 1.1.0.0 from branch "master", as the RC1_1 was merged into master a few days ago.

Does not work. but it seems ltconfig is loaded, but now I cant do anything with it as when I add the torrent:


[ERROR ] 10:05:49 core:248 There was an error adding the torrent file tmppQYfC e.torrent
[ERROR ] 10:05:49 core:249 'torrent_handle' object has no attribute 'resolve_c ountries'
Traceback (most recent call last):
File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.12_dev-py2.7.egg/delug e/core/core.py", line 246, in add_torrent_file
torrent_id = self.torrentmanager.add(filedump=filedump, options=options, fil ename=filename)
File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.12_dev-py2.7.egg/delug e/core/torrentmanager.py", line 490, in add
torrent = Torrent(handle, options, state, filename, magnet)
File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.12_dev-py2.7.egg/delug e/core/torrent.py", line 197, in __init__
self.handle.resolve_countries(True)
AttributeError: 'torrent_handle' object has no attribute 'resolve_countries'


Is this deluge or LT's error?

Cas
Top Bloke
Top Bloke
Posts: 3426
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: [Plugin] ltConfig v0.2.5.0

Postby Cas » Thu May 12, 2016 9:56 am

I have already said that Deluge does not currently support lt1.1 and Deluge 1.3 never will. It has non-backward compatible changes to api so instead we will be adding support for it in develop branch.

http://dev.deluge-torrent.org/wiki/GitR ... geBranches

dare_v
New User
New User
Posts: 9
Joined: Wed May 11, 2016 3:31 pm
OS or Distro: Jessie 8.3

Re: [Plugin] ltConfig v0.2.5.0

Postby dare_v » Thu May 12, 2016 10:01 am

Is the current develop branch "suitable" for lt1.1 use or its still lacking?

Cas
Top Bloke
Top Bloke
Posts: 3426
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: [Plugin] ltConfig v0.2.5.0

Postby Cas » Thu May 12, 2016 10:08 am

I just said we will be adding support so no the changes have not been made yet.

dare_v
New User
New User
Posts: 9
Joined: Wed May 11, 2016 3:31 pm
OS or Distro: Jessie 8.3

Re: [Plugin] ltConfig v0.2.5.0

Postby dare_v » Thu May 12, 2016 11:13 am

Odd, I tried the 1.3-stable version, it installed fine with version 1.3.12-dev but get errors after starting it:

Unhandled Error
Traceback (most recent call last):
File "/usr/lib/python2.7/dist-packages/twisted/protocols/basic.py", line 571, in dataReceived
why = self.lineReceived(line)
File "/usr/lib/python2.7/dist-packages/twisted/web/http.py", line 1656, in lin eReceived
self.allContentReceived()
File "/usr/lib/python2.7/dist-packages/twisted/web/http.py", line 1731, in all ContentReceived
req.requestReceived(command, path, version)
File "/usr/lib/python2.7/dist-packages/twisted/web/http.py", line 827, in requ estReceived
self.process()


Also the geoip seems to not work, it works in 1.3.12, as the flags are missing from the peers list within the client


Return to “Plugins”

Who is online

Users browsing this forum: Bing [Bot] and 3 guests